curl --request GET
--location 'https://staging-api.propaga.io/v1/corner-store/external/{externalId}'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
{
"userId": "3b275b2f-3b40-4ff2-86ff-2499de0cdcfa",
"cornerStoreId": "8921a1e9-7998-4a0a-80e3-2fa18fb11edf",
"status": "approved",
"creditLimitAvailable": 2000
}
Corner store
Get corner store information
Gets a corner store by external Id
GET
/
corner-store
/
external
/
{externalId}
curl --request GET
--location 'https://staging-api.propaga.io/v1/corner-store/external/{externalId}'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
{
"userId": "3b275b2f-3b40-4ff2-86ff-2499de0cdcfa",
"cornerStoreId": "8921a1e9-7998-4a0a-80e3-2fa18fb11edf",
"status": "approved",
"creditLimitAvailable": 2000
}
curl --request GET
--location 'https://staging-api.propaga.io/v1/corner-store/external/{externalId}'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
{
"userId": "3b275b2f-3b40-4ff2-86ff-2499de0cdcfa",
"cornerStoreId": "8921a1e9-7998-4a0a-80e3-2fa18fb11edf",
"status": "approved",
"creditLimitAvailable": 2000
}
Path parameters
string
required
Wholesaler’s customer ID
Response
string
Propaga’s user id
string
Propaga’s corner store id
string
Current status for the customer (pre-approved, approved, in-payment-default, in-manual-validation)
number
Credit limit available for purchases
Error codes
Corner store not found (404)
{
"errorCode": "CORNER_STORE_NOT_FOUND",
"errorMessage": "Corner store id not found"
}
User is undergoing internal validations (412)
{
"errorCode": "USER_IS_IN_INTERNAL_VALIDATION",
"errorMessage": "The user is currently in the process of internal validation"
}
Was this page helpful?

